Bug 962225 - libvirt-client update causes suspend on all guests
libvirt-client update causes suspend on all guests
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eric Blake
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1033626
  Show dependency treegraph
 
Reported: 2013-05-12 14:46 EDT by Kevin Fenzi
Modified: 2013-12-30 21:02 EST (History)
13 users (show)

See Also:
Fixed In Version: libvirt-1.0.5.8-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1033626 (view as bug list)
Environment:
Last Closed: 2013-12-30 21:02:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2013-05-12 14:46:21 EDT
When updating libvirt-client, the scriptlets run a '/usr/bin/systemctl try-restart libvirt-guests.service >/dev/null 2>&1 || :' and this causes all my guests to be suspended. 

When there's a bunch of guests this takes a while and disrupts service to them. 

Is there any way it could not do this on upgrade?
Comment 1 Eric Blake 2013-05-13 10:37:58 EDT
Uggh, sounds like a nasty regression; possibly as a result of commit 9c51de2b which was in response to bug 957779
Comment 2 Cole Robinson 2013-11-21 15:16:27 EST
I've posted a patch upstream:

http://www.redhat.com/archives/libvir-list/2013-November/msg00860.html
Comment 3 Cole Robinson 2013-11-22 09:35:24 EST
Upstream now, and backported to upstream f19 and f20 maint branches:

commit d65e0e1466b09964b85c79b8cc78be454df53583
Author: Cole Robinson <crobinso@redhat.com>
Date:   Thu Nov 21 15:04:35 2013 -0500

    spec: Don't save/restore running VMs on libvirt-client update
Comment 4 Jiri Denemark 2013-11-25 10:26:20 EST
The patch is incomplete, it removes one save/restore iteration on libvirt-client update but unfortunately, there were two iterations so domains are still saved/restored during update (although "just" once).
Comment 5 Jiri Denemark 2013-11-25 11:04:50 EST
And really fixed upstream by

commit 604f79b3603d6f7d922c7155d67ff9617411e79f
Author: Jiri Denemark <jdenemar@redhat.com>
Date:   Mon Nov 25 16:37:32 2013 +0100

    spec: Don't save/restore running VMs on libvirt-client update
    
    The previous attempt (commit d65e0e1) removed just one of two
    libvirt-guests restarts that happened on libvirt-client update. Let's
    remove the last one too :-)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=962225
    
    Signed-off-by: Jiri Denemark <jdenemar@redhat.com>
Comment 6 Fedora Update System 2013-12-14 16:19:13 EST
libvirt-1.0.5.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libvirt-1.0.5.8-1.fc19
Comment 7 Fedora Update System 2013-12-16 17:55:12 EST
Package libvirt-1.0.5.8-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvirt-1.0.5.8-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23453/libvirt-1.0.5.8-1.fc19
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-12-30 21:02:49 EST
libvirt-1.0.5.8-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.